#!/usr/bin/perl

use Cwd;
use warnings;
use strict;
use Carp;

my ($tmp_dir,$in,$out) = @ARGV;
my $start_dir = getcwd();
chdir($tmp_dir);
my $results = `cvtree $in $out`;

my $results2 = get_results($out);
print $results2;
chdir($start_dir);


sub get_results{
	my ($filename) =@_;
	#$output_filename =~ s/home/home.westgrid/;
	open (OUTPUT,'<',$filename) or croak "Can't open results file: $filename $!";
	<OUTPUT>;
	my $line = <OUTPUT>;
	close(OUTPUT);
	chomp ($line);
	if($line =~ /\S+ \S+ (\S+)/){
		return $1;
	}else{
		croak "Can't parse results file: $filename";
	}

}